# Uses of Class
org.apache.sysds.runtime.iogen.MappingProperties

Packages that use MappingProperties
Package
Description
org.apache.sysds.runtime.iogen

## Uses of MappingProperties in org.apache.sysds.runtime.iogen

Methods in org.apache.sysds.runtime.iogen that return MappingProperties
Modifier and Type
Method
Description
`MappingProperties`
CustomProperties.`getMappingProperties()`
`MappingProperties`
ReaderMapping.`getMappingProperties()`
`MappingProperties`
ReaderMappingIndex.`getMappingProperties()`
Methods in org.apache.sysds.runtime.iogen with parameters of type MappingProperties
Modifier and Type
Method
Description
`void`
CustomProperties.`setMappingProperties(MappingProperties mappingProperties)`
Constructors in org.apache.sysds.runtime.iogen with parameters of type MappingProperties
Modifier
Constructor
Description
``
`CustomProperties(MappingProperties mappingProperties, RowIndexStructure rowIndexStructure, ColIndexStructure colIndexStructure)`